// https://github.com/WireCell/wire-cell-iface/issues/5

#include "WireCellIface/IWireParameters.h"
#include "WireCellIface/IWireParameters.h"
#include "WireCellIface/IAnodeFace.h"
#include "WireCellIface/IAnodePlane.h"
#include "WireCellIface/IApplication.h"
#include "WireCellIface/ICellMaker.h"
#include "WireCellIface/ICellSlice.h"
#include "WireCellIface/ICellSliceSink.h"
#include "WireCellIface/ICellSummary.h"
#include "WireCellIface/ICellVectorSink.h"
#include "WireCellIface/IChannelFilter.h"
#include "WireCellIface/IChannelNoiseDatabase.h"
#include "WireCellIface/IChannelResponse.h"
#include "WireCellIface/IChannelSpectrum.h"
#include "WireCellIface/IChannelStatus.h"
#include "WireCellIface/IConfigurable.h"
#include "WireCellIface/IDataFlowGraph.h"
#include "WireCellIface/IDeconvolution.h"
#include "WireCellIface/IDepo.h"
#include "WireCellIface/IDepoCollector.h"
#include "WireCellIface/IDepoFanout.h"
#include "WireCellIface/IDepoFilter.h"
#include "WireCellIface/IDepoFramer.h"
#include "WireCellIface/IDepoMerger.h"
#include "WireCellIface/IDepoSet.h"
#include "WireCellIface/IDepoSetFanout.h"
#include "WireCellIface/IDepoSink.h"
#include "WireCellIface/IDepoSource.h"
#include "WireCellIface/IDiffusion.h"
#include "WireCellIface/IDiffuser.h"
#include "WireCellIface/IDrifter.h"
#include "WireCellIface/IDuctor.h"
#include "WireCellIface/IFaninNode.h"
#include "WireCellIface/IFanoutNode.h"
#include "WireCellIface/IFieldResponse.h"
#include "WireCellIface/IFilterWaveform.h"
#include "WireCellIface/IFrame.h"
#include "WireCellIface/IFrameFanin.h"
#include "WireCellIface/IFrameFanout.h"
#include "WireCellIface/IFrameFilter.h"
#include "WireCellIface/IFrameJoiner.h"
#include "WireCellIface/IFrameSink.h"
#include "WireCellIface/IFrameSource.h"
#include "WireCellIface/IFrameSplitter.h"
#include "WireCellIface/IFunctionNode.h"
#include "WireCellIface/IFunctionNode.h"
#include "WireCellIface/IGeometry.h"
#include "WireCellIface/IHydraNode.h"
#include "WireCellIface/IHydraNode.h"
#include "WireCellIface/IJoinNode.h"
#include "WireCellIface/IJoinNode.h"
#include "WireCellIface/INode.h"
#include "WireCellIface/IPlaneImpactResponse.h"
#include "WireCellIface/IPlaneImpactResponse.h"
#include "WireCellIface/IPointFieldSink.h"
#include "WireCellIface/IProcessor.h"
#include "WireCellIface/IQueuedoutNode.h"
#include "WireCellIface/IQueuedoutNode.h"
#include "WireCellIface/IRandom.h"
#include "WireCellIface/IRecombinationModel.h"
#include "WireCellIface/IScalarFieldSink.h"
#include "WireCellIface/ISequence.h"
#include "WireCellIface/ISequence.h"
#include "WireCellIface/ISinkNode.h"
#include "WireCellIface/ISinkNode.h"
#include "WireCellIface/ISourceNode.h"
#include "WireCellIface/ISourceNode.h"
#include "WireCellIface/ISplitNode.h"
#include "WireCellIface/ISplitNode.h"
#include "WireCellIface/ITiling.h"
#include "WireCellIface/ITrace.h"
#include "WireCellIface/IWaveform.h"
#include "WireCellIface/IWireGenerator.h"
#include "WireCellIface/IWireSchema.h"
#include "WireCellIface/IWireSource.h"
#include "WireCellIface/IWireSummarizer.h"
#include "WireCellIface/IWireSummary.h"
#include "WireCellIface/SimpleCell.h"
#include "WireCellIface/SimpleDepoSet.h"
#include "WireCellIface/SimpleWire.h"


using namespace WireCell;

IWireParameters::~IWireParameters() { }
IAnodeFace::~IAnodeFace() {}
IAnodePlane::~IAnodePlane() {}
IApplication::~IApplication() {}
ICellMaker::~ICellMaker() {}
ICellSlice::~ICellSlice() {}
ICellSliceSink::~ICellSliceSink() {}
ICellSummary::~ICellSummary() {}
ICellVectorSink::~ICellVectorSink() {}
IChannelFilter::~IChannelFilter() {}
IChannelNoiseDatabase::~IChannelNoiseDatabase() {}
IChannelResponse::~IChannelResponse() {}
IChannelSpectrum::~IChannelSpectrum() {}
IChannelStatus::~IChannelStatus() {}
IConfigurable::~IConfigurable() {}
IDataFlowGraph::~IDataFlowGraph() {}
IDeconvolution::~IDeconvolution() {}
IDepo::~IDepo() {}
IDepoCollector::~IDepoCollector() {}
IDepoFanout::~IDepoFanout() {}
IDepoFilter::~IDepoFilter() {}
IDepoFramer::~IDepoFramer() {}
IDepoMerger::~IDepoMerger() {}
IDepoSet::~IDepoSet() {}
IDepoSetFanout::~IDepoSetFanout() {}
IDepoSink::~IDepoSink() {}
IDepoSource::~IDepoSource() {}
IDiffusion::~IDiffusion() {}
IDiffuser::~IDiffuser() {}
IDrifter::~IDrifter() {}
IDuctor::~IDuctor() {}
IFaninNodeBase::~IFaninNodeBase() {}
IFanoutNodeBase::~IFanoutNodeBase() {}
IFieldResponse::~IFieldResponse() {}
IFilterWaveform::~IFilterWaveform() {}
IFrame::~IFrame() {}
IFrameFanin::~IFrameFanin() {}
IFrameFanout::~IFrameFanout() {}
IFrameFilter::~IFrameFilter() {}
IFrameJoiner::~IFrameJoiner() {}
IFrameSink::~IFrameSink() {}
IFrameSource::~IFrameSource() {}
IFrameSplitter::~IFrameSplitter() {}
IFunctionNodeBase::~IFunctionNodeBase() {}
IGeometry::~IGeometry() {}
IHydraNodeBase::~IHydraNodeBase() {}
IJoinNodeBase::~IJoinNodeBase() {}
INode::~INode(){}
IImpactResponse::~IImpactResponse() {}
IPlaneImpactResponse::~IPlaneImpactResponse() {}
IPointFieldSink::~IPointFieldSink() {}
IProcessor::~IProcessor() { }
IQueuedoutNodeBase::~IQueuedoutNodeBase() {}
IRandom::~IRandom() {}
IRecombinationModel::~IRecombinationModel() {}
IScalarFieldSink::~IScalarFieldSink() {}
ISinkNodeBase::~ISinkNodeBase() {}
ISourceNodeBase::~ISourceNodeBase() {}
ISplitNodeBase::~ISplitNodeBase() {}
ITiling::~ITiling() {}
ITrace::~ITrace() {}
IWaveform::~IWaveform() {}
IWireGenerator::~IWireGenerator() {}
IWireSchema::~IWireSchema() {}
IWireSource::~IWireSource() {}
IWireSummarizer::~IWireSummarizer() {}
IWireSummary::~IWireSummary() {}
SimpleCell::~SimpleCell() {}
SimpleDepoSet::~SimpleDepoSet() {}
SimpleWire::~SimpleWire() {}
